Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] xorg-xserver-1.19 fails to build: issue with glamor and egl
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Bueddl
n00b
n00b


Joined: 25 Sep 2014
Posts: 5
Location: /dev/null

PostPosted: Sat Jul 22, 2017 7:37 pm    Post subject: [SOLVED] xorg-xserver-1.19 fails to build: issue with glamor Reply with quote

Hey everyone!

First of all, I was unsure were to put that topic. I just hope it fits here the best :).

I get build errors with xorg-xserver-1.19.x (tested 1.19.1 and 1.19.3) telling me about several compile errors in conjunction with glamor and egl. I attempted to build without portage (from upstream) just to confirm it and it seems that I get those errors with 1.19.1 and 1.19.3 but not with 1.18.4). Apparently sticking with 1.18.4 isn't an option for me.

I recently attempted to remove egl from my use flags, but this was during the attempt of dealing with this error. It has been the exact same before I applied the use flag changes.

Here s what portage tells me:

emerge --info '=x11-base/xorg-server-1.19.3::gentoo'
Code:

Portage 2.3.6 (python 3.4.6-final-0, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-5.4.0, glibc-2.24-r3, 4.9.36-gentoo-vfio x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.9.36-gentoo-vfio-x86_64-Intel-R-_Core-TM-_i7-7700K_CPU_@_4.20GHz-with-gentoo-2.4.1
KiB Mem:    32904712 total,  19757616 free
KiB Swap:    3894112 total,   3894112 free
Timestamp of repository gentoo: Sat, 22 Jul 2017 12:30:01 +0000
sh bash 4.4_p12
ld GNU ld (Gentoo 2.27 p1.0) 2.27
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.2::gentoo
dev-lang/python:          2.7.13::gentoo, 3.4.6::gentoo, 3.6.1-r1::gentoo
dev-util/cmake:           3.9.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1::gentoo
sys-apps/openrc:          0.28::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r3::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.15.1::gentoo
sys-devel/binutils:       2.27::gentoo, 2.28-r2::gentoo
sys-devel/gcc:            5.4.0-r3::gentoo, 6.3.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.24-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
                                                                                                                                                                                                                                                                               
gentoo-overlay                                                                                                                                                                                                                                                                 
    location: /usr/local/portage                                                                                                                                                                                                                                               
    masters: gentoo                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                               
kde                                                                                                                                                                                                                                                                           
    location: /var/lib/layman/kde                                                                                                                                                                                                                                             
    sync-type: laymansync                                                                                                                                                                                                                                                     
    sync-uri: git://anongit.gentoo.org/proj/kde.git                                                                                                                                                                                                                           
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bindist bluetooth branding bzip2 cairo cdda cdr cli cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif glamor gpm gtk iconv infinality ipv6 jpeg kde kipi kwallet lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg multilib ncurses networkmanager nls nptl ogg openconnect opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qml qt3support qt4 qt5 readline sdl seccomp semantic-desktop session spell sse sse2 ssl startup-notification svg systemd tcpd tiff truetype udev udisks unicode upower usb vorbis widgets wxwidgets x264 xattr xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0 php7-1" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby23 ruby24" USERLAND="GNU" VIDEO_CARDS="intel i965 nvidia fbdev v4l vesa vga" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

x11-base/xorg-server-1.19.3::gentoo was built with the following:
USE="glamor ipv6 suid systemd udev xorg -debug -dmx -doc -kdrive -libressl -minimal (-selinux) -static-libs -tslib -unwind -wayland -xephyr -xnest -xvfb" ABI_X86="(64)"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-z,lazy"


emerge -pqv '=x11-base/xorg-server-1.19.3::gentoo'
Code:

[ebuild   R   ] x11-base/xorg-server-1.19.3  USE="glamor ipv6 suid systemd udev xorg -debug -dmx -doc -kdrive -libressl -minimal (-selinux) -static-libs -tslib -unwind -wayland -xcsecurity% -xephyr -xnest -xvfb"


The full build log is attached to this post, however, here is a small extract of the first errors occurring during build:
Code:

In file included from /usr/include/epoxy/egl.h:46:0,
                 from /var/tmp/portage/x11-base/xorg-server-1.19.3/work/xorg-server-1.19.3/glamor/glamor_egl.h:32,
                 from /var/tmp/portage/x11-base/xorg-server-1.19.3/work/xorg-server-1.19.3/glamor/glamor_egl.c:46:
/var/tmp/portage/x11-base/xorg-server-1.19.3/work/xorg-server-1.19.3/glamor/glamor_egl.c: In function ‘glamor_egl_make_current’:
/var/tmp/portage/x11-base/xorg-server-1.19.3/work/xorg-server-1.19.3/glamor/glamor_egl.c:102:41: error: expected expression before ‘EGLSurface’
     eglMakeCurrent(glamor_ctx->display, EGL_NO_SURFACE,
                                         ^
/var/tmp/portage/x11-base/xorg-server-1.19.3/work/xorg-server-1.19.3/glamor/glamor_egl.c:103:20: error: expected expression before ‘EGLSurface’
                    EGL_NO_SURFACE, EGL_NO_CONTEXT);
                    ^


I am currently using gcc-5.4.0 for building, however, I also tried 6.3.0 as there were reports about gcc bugs in conjunction with xorg (maybe I got that wrong, but it was about a different version of xorg-xserver and has been patched already).

Thanks to everyone who tries to help me with this!

Build log: https://ftp.bueddl.de/random/xorg-xserver-1.19.3/build_2017-07-22_21_36.log

Bueddl


Last edited by Bueddl on Sat Jul 22, 2017 7:59 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16510
Location: here

PostPosted: Sat Jul 22, 2017 7:42 pm    Post subject: Reply with quote

See this bug
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Bueddl
n00b
n00b


Joined: 25 Sep 2014
Posts: 5
Location: /dev/null

PostPosted: Sat Jul 22, 2017 7:47 pm    Post subject: Reply with quote

I were searching a lot. In the forum and on the web... missed that apparently. Sorry!

Thanks! I'll give it a try.

Code:

$ equery y libepoxy
Keywords for media-libs/libepoxy:
         |                                 |   u   |
         | a a         p s   a     n r     |   n   |
         | l m   h i   p p   r m m i i s   | e u s | r
         | p d a p a p c a x m i 6 o s 3   | a s l | e
         | h 6 r p 6 p 6 r 8 6 p 8 s c 9 s | p e o | p
         | a 4 m a 4 c 4 c 6 4 s k 2 v 0 h | i d t | o
---------+---------------------------------+-------+-------
   1.4.1 | + + + + + + + + + ~ ~ o o o o o | 6 o 0 | gentoo
   1.4.2 | + + + ~ + + + + + ~ ~ o o o o o | 6 o   | gentoo
[I]1.4.3 | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ o o o o o | 6 o   | gentoo
    9999 | o o o o o o o o o o o o o o o o | 6 o   | gentoo


I masked libepoxy in version 1.4.3 now, forcing it to downgrade to 1.4.2 (via package.mask).

Code:

=media-libs/libepoxy-1.4.3


:idea: Edit: masking libepoxy-1.4.3 solved the issue for me. Thanks again! :)

Bueddl
Back to top
View user's profile Send private message
otakugeek
n00b
n00b


Joined: 26 Jun 2014
Posts: 47

PostPosted: Thu Oct 19, 2017 4:31 pm    Post subject: Reply with quote

Bueddl wrote:
I were searching a lot. In the forum and on the web... missed that apparently. Sorry!

Thanks! I'll give it a try.

Code:

$ equery y libepoxy
Keywords for media-libs/libepoxy:
         |                                 |   u   |
         | a a         p s   a     n r     |   n   |
         | l m   h i   p p   r m m i i s   | e u s | r
         | p d a p a p c a x m i 6 o s 3   | a s l | e
         | h 6 r p 6 p 6 r 8 6 p 8 s c 9 s | p e o | p
         | a 4 m a 4 c 4 c 6 4 s k 2 v 0 h | i d t | o
---------+---------------------------------+-------+-------
   1.4.1 | + + + + + + + + + ~ ~ o o o o o | 6 o 0 | gentoo
   1.4.2 | + + + ~ + + + + + ~ ~ o o o o o | 6 o   | gentoo
[I]1.4.3 | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ o o o o o | 6 o   | gentoo
    9999 | o o o o o o o o o o o o o o o o | 6 o   | gentoo


I masked libepoxy in version 1.4.3 now, forcing it to downgrade to 1.4.2 (via package.mask).

Code:

=media-libs/libepoxy-1.4.3


:idea: Edit: masking libepoxy-1.4.3 solved the issue for me. Thanks again! :)

Bueddl



work perfectly!!!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum